# twoxtwo_action Class Reference

Detect interesting 2 by 2 blocks. More...

`#include <CoinPresolveDupcol.hpp>`

Inheritance diagram for twoxtwo_action:
[legend]
Collaboration diagram for twoxtwo_action:
[legend]

List of all members.

## Classes
struct | action
## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
| ~twoxtwo_action ()
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
## Private Member Functions
| twoxtwo_action ()
| twoxtwo_action (int nactions, const action *actions, const CoinPresolveAction *next)
## Private Attributes
const int | nactions_
const action *const | actions_

## Detailed Description

Detect interesting 2 by 2 blocks.

If a variable has two entries and for each row there are only two entries with same other variable then we can get rid of one constraint and modify costs.

This is a work in progress - I need more examples

Definition at line 191 of file CoinPresolveDupcol.hpp.

## Constructor & Destructor Documentation

twoxtwo_action::twoxtwo_action | ( |  | ) | `[inline, private]`

Definition at line 207 of file CoinPresolveDupcol.hpp.

twoxtwo_action::twoxtwo_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 208 of file CoinPresolveDupcol.hpp.

twoxtwo_action::~twoxtwo_action | ( |  | ) | `[inline]`

Definition at line 222 of file CoinPresolveDupcol.hpp.

## Member Function Documentation

const char* twoxtwo_action::name | ( |  | ) | const`[virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* twoxtwo_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void twoxtwo_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int twoxtwo_action::nactions_`[private]`

Definition at line 204 of file CoinPresolveDupcol.hpp.

const action* const twoxtwo_action::actions_`[private]`

Definition at line 205 of file CoinPresolveDupcol.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Clp-1.16.6/CoinUtils/src/CoinPresolveDupcol.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines